# Genie Send Message Feedback

Launch stage: GA

`POST /api/2.0/genie/spaces/{space_id}/conversations/{conversation_id}/messages/{message_id}/feedback`

Send feedback for a message.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID associated with the Genie space where the message is located.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `conversation_id` (string, optional)
  The ID associated with the conversation.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `message_id` (string, optional)
  The ID associated with the message to provide feedback for.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Request body

- `rating` (string, optional)
  The rating (POSITIVE, NEGATIVE, or NONE).
  Possible values: `GENIE_FEEDBACK_RATING_UNSPECIFIED`, `POSITIVE`, `NEGATIVE`, `NONE`
- `comment` (string, optional, Public Preview)
  Optional text feedback that will be stored as a comment.
  Constraints: `<= 5000 characters`

## Response

```json
{}
```

